.social-links__list {
	display: flex;
	align-items: center;

	& [data-type='youtube'],
	& [data-type='tiktok'] {
		border-radius: 50%;
		border: 3px solid black;
		box-sizing: border-box;
		width: 24px;
		height: 24px;
		display: flex;
		align-items: center;
		justify-content: center;

		& svg {
			width: 0.8em;
			height: 0.8em;
		}
	}
}

.social-links__label {
	padding-right: 5px;
	opacity: 0.75;
}

.social-links__item {
	display: inline-flex;
	width: 48px;
	height: auto;
	padding: 3px;
	transition: all 0.3s ease-in-out;

	@media (--s) {
		width: auto;
	}

	&:hover {
		opacity: 0.85;
	}
}

.social-links__svg {
	@mixin flex-center;

	& svg {
		@mixin icon 24px;

		& path {
			fill: var(--dark);
		}
	}
}

.social-links--dark-contract {
	& .social-links__svg svg path {
		fill: var(--white);
	}
}

.social-links--light-contract {
	& .social-links__svg svg path {
		fill: var(--dark);
	}
}

.social-links--footer-bottom {
	& .social-links__list {
		display: inline-flex;
	}

	& .social-links__item {
		opacity: 0.65;

		&:hover {
			opacity: 1;
		}
	}
}
